@extends('layouts.app')

@section('content')

<h1 class="text-center">{{ $label }}</h1>
<div style="width: 100%; height: 800px" id="svg-container">
</div>

<div class="text-muted bottom-right">
    Reload in <span id="reload-countdown">300</span> seconds
</div>

<script type="text/javascript">
    var reload_countdown = 300;
    setInterval(function() {
        reload_countdown -= 1;
        $('#reload-countdown').text(reload_countdown);

        if (reload_countdown === 0) {
            console.log('reload...');
            location.reload();
        }
    }, 1000);
</script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/d3/7.1.1/d3.min.js"
integrity="sha512-COTaPOlz12cG4fSfcBsxZsjauBAyldqp+8FQUM/dZHm+ts/jR4AFoJhCqxy8K10Jrf3pojfsbq7fAPTb1XaVkg=="
crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
//    var url = "/app/ranking/{{ $label }}/json";
    var container = document.getElementById("svg-container");
//    var svg = d3.select(container).append("svg");
    var label = "{{ $label }}";
    drawBubbleGraph(label, container);
    @include('scripts.bubble-script')

</script>
@endsection